#include <avr/io.h>
#include "qprox.h"

void qprox_init(void) {
  // set up for 10s max-on duration (make this adjustable!)
  QPROX_OPT_DDR |= _BV(QPROX_OPT1) | _BV(QPROX_OPT2);
  QPROX_OPT_PORT |= _BV(QPROX_OPT2);
  QPROX_OPT_PORT &= ~_BV(QPROX_OPT1);

  // reset!
  QPROX_RESET_DDR |= _BV(QPROX_RESET); // make output
  QPROX_RESET_PORT &= ~_BV(QPROX_RESET); // hold down
  delay_ms(100);
  QPROX_RESET_PORT |= _BV(QPROX_RESET); // ok reset

}
